Subject: bug#45854: 28.0.50; [feature/native-comp] autoload behavior different in the presence of errors

From: Andrea Corallo <[email-masked]>
Date: Thu, 28 Jan 2021 21:11:36 +0000

Mauricio Collares <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>>
>> Okay I probably did something wrong then.  I'm taking a look into the
>> compile-time bugs now, I'll come back to this after that.
>
> Many thanks and no hurry :) I just noticed that this bug has nothing to
> do with autoloads, sorry for the red herring! You can replace
> git-commitx.el by just
>
> ;;; git-commitx.el --- x  -*- lexical-binding: t; -*-
>
> ;; Package-Requires: ((emacs "25.1") (transientx "20200601"))
> ;; Package-Version: 20210102.1242
>
> (require 'transientx)
> (provide 'git-commitx)
>
> ;;; git-commitx.el ends here
>
> together with transientx.el and elpa2nix.el from the previous email
> and the difference of behaviour (compared to trunk) still exists.
>
> Best,
> Mauricio

I tried to reproduce again but with no success:

====

HOME=~/tmp ~/emacs2/src/emacs --batch -Q -l ./elpa2nix.el -f elpa2nix-install-package git-commitx.el
  INFO     Scraping files for git-commitx-autoloads.el...
  INFO     Scraping files for git-commitx-autoloads.el...done
Checking /home/akrl/tmp/.emacs.d/elpa/git-commitx-20210102.1242...
Compiling /home/akrl/tmp/.emacs.d/elpa/git-commitx-20210102.1242/git-commitx-autoloads.el...
Compiling /home/akrl/tmp/.emacs.d/elpa/git-commitx-20210102.1242/git-commitx-pkg.el...
Compiling /home/akrl/tmp/.emacs.d/elpa/git-commitx-20210102.1242/git-commitx.el...

In toplevel form:
git-commitx.el:6:1: Error: Loading file /home/akrl/tmp/.emacs.d/elpa/transientx-0/transientx.elc failed to provide feature ‘transientx’
Done (Total of 0 files compiled, 1 failed, 2 skipped)
akrl@foo:~/el_debug$

====

Am I doing something wrong?

Would be nice to have someone else trying to reproduce this.

  Andrea